<?php

namespace Eform\Filing\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class FilingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('eform_filing_filings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'eform.filing.filing.view',
                'name'      => 'View Filing',
            ],
            [
                'slug'      => 'eform.filing.filing.create',
                'name'      => 'Create Filing',
            ],
            [
                'slug'      => 'eform.filing.filing.edit',
                'name'      => 'Update Filing',
            ],
            [
                'slug'      => 'eform.filing.filing.delete',
                'name'      => 'Delete Filing',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/filing/filing',
                'name'        => 'Filing',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/filing/filing',
                'name'        => 'Filing',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'filing',
                'name'        => 'Filing',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Filing',
                'module'    => 'Filing',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'eform.filing.filing.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
