<?php

namespace Eform\Filing\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Eform\Filing\Http\Requests\FilingActionsRequest;
use Eform\Filing\Actions\FilingActions;

/**
 * Admin web controller class.
 */
class FilingActionsController extends BaseController
{

    /**
     * Action controller function for filing.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(FilingActionsRequest $request, $action)
    {
        try {
            $filing = FilingActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('filing::filing.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('filing/filing/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('filing/filing/' . $action))
                ->redirect();
        }
    }
}
