<?php

namespace Eform\Filing\Policies;

use Eform\Filing\Models\Filing;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait FilingAction
{

    /**
     * Determine if the given user can copy the given filing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Filing $filing)
    {

        if ($authUser->canDo('filing.filing.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given filing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Filing $filing) {

        if ($authUser->canDo('filing.filing.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given filing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Filing $filing)
    {

        if ($authUser->canDo('filing.filing.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
