<?php

namespace Eform\Filing\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait FilingExim
{

    /**
     * Determine if the given user can approve the given filing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('filing.filing.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given filing.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('filing.filing.export')) {
            return true;
        }

        return false;
    }
}
